Enchant Generic spell checking library

Public Attributes | List of all members
str_enchant_provider Struct Reference
Collaboration diagram for str_enchant_provider:
[legend]

## Public Attributes
void * | user_data
void * | enchant_private_data
EnchantBroker * | owner
void(* | dispose )(struct str_enchant_provider *me)
EnchantDict *(* | request_dict )(struct str_enchant_provider *me, const char *const tag)
void(* | dispose_dict )(struct str_enchant_provider *me, EnchantDict *dict)
int(* | dictionary_exists )(struct str_enchant_provider *me, const char *const tag)
const char *(* | identify )(struct str_enchant_provider *me)
const char *(* | describe )(struct str_enchant_provider *me)
char **(* | list_dicts )(struct str_enchant_provider *me, size_t *out_n_dicts)

The documentation for this struct was generated from the following file:

- src/enchant-provider.h